import { asyncToGenerator as _asyncToGenerator } from './_virtual/_rollupPluginBabelHelpers.js';
import React from 'react';
import { extract } from '@shopify/react-effect/server';
import { AsyncAssetContext, AsyncAssetManager } from './context/assets.mjs';

function getUsedAssets(_x) {
  return _getUsedAssets.apply(this, arguments);
}

function _getUsedAssets() {
  _getUsedAssets = _asyncToGenerator(function* (element, ...args) {
    const asyncAssets = new AsyncAssetManager();
    yield extract(element, {
      decorate: element => /*#__PURE__*/React.createElement(AsyncAssetContext.Provider, {
        value: asyncAssets
      }, element)
    });
    return asyncAssets.used(...args);
  });
  return _getUsedAssets.apply(this, arguments);
}

export { getUsedAssets };
